/* Generell styling för alla sidor*/
/* styling för index.css sidan */
/* styling menyn */
/* vissa sidor har egen styling */

/* container */
.container {
	width: 100%;
	height: calc(100% + 20rem);
	/* margin-top: 5rem; */
	/* margin: 16rem auto 1rem auto; DENNA VAR DET*/
	margin: 1rem auto 1rem auto;
	padding-top: 10rem;
	background-color: #46b6eb;

	/* background-image: url(/public_html/new2025/2025-bilder/sjotungan_logo.png);
  background-size: contain;
  background-repeat: no-repeat;
  background-position: 0px 100px; */
	/* margin: 10rem auto 0 auto; */
}

/* end of container */

/* Navigation */
nav.navbar {
	position: fixed;
	top: 0;
	left: 0;
	display: flex;
	justify-content: space-between;
	align-items: center;
	z-index: 10;
	width: 100%;
	height: 10rem;
	padding: 0 5rem 0 5rem;
	/* border-bottom-left-radius: 1rem;
  border-bottom-right-radius: 1rem; */
	background: linear-gradient(135deg, #0d5cdb 0%, #46b6eb 100%);

	@media (max-width: 1024px) {
		& {
			padding: 0 1rem 0 1rem;
			width: 100%;
		}
	}
	@media (300px <= width <= 767px) {
		& {
			height: 5.5rem;
		}
	}
}

nav.navbar a {
	text-decoration: none;
}

.nav-data {
	height: 100%;
	display: flex;
	justify-content: space-between;
	align-items: center;
}

/* logo */
.logoS {
	display: flex;
	align-items: center;
}
.logoS img {
	width: 50px;
	height: 50px;
}
.logo {
	display: flex;
	flex-direction: column;
	justify-content: flex-end;
	font-size: var(--p_fontZ);
	/* padding: 0.625rem 0.83rem 0.625rem 0; */
	padding: 0.6rem 0.8rem 0.6rem 0;
}
.logo-flex {
	display: flex;
	flex-direction: column;
	height: 100px;
	justify-content: center;
	align-items: end;
	margin: 0 2rem;
	max-width: fit-content;
}

/* .logo span {
	color: var(--white);
} */
/* STYLING av Sjötungan */
.logo-flex span:nth-child(1),
.logo-flex-2 span:nth-child(1) {
	color: var(--white);
	font-family: "Montserrat", sans-serif;
	font-weight: 500;
	font-style: italic;
	letter-spacing: 0.1rem;
	/* padding-bottom: 1rem; */
	font-size: var(--h1_fontZ);
	display: inline-block;
	line-height: 2.5rem;
	/* padding-left: 2rem; */
	/* background-color: blue; */
}
.ett,
.two {
	font-size: var(--h1_fontZ);
	padding-bottom: 0.4rem;
	margin: 0;
}

.logo-flex span:nth-child(2) {
	color: var(--white);
	padding-right: 0.3rem;
	margin-top: 0.3rem;
}

/* STYLING TYRESÖ */
/* .logo span:nth-child(2) {
	display: inline-block;
	font-family: "Raleway", sans-serif;
	font-size: var(--h4_fontZ);
	text-align: right;
	transform: translate(-7.1rem, 2.5rem);
	letter-spacing: 0.1rem;
} */

/* end of logo */

/* dark moode */
.darkMode {
	position: relative;
	font-size: 0.8rem;
	width: 20px;
	height: 20px;
	padding: 1.5rem;
	/* height: 1rem; */
	border: 2px solid var(--white);
	color: var(--white);
	display: flex;
	align-items: center;
	justify-content: center;
	border-radius: 50%;
	cursor: pointer;
	@media (max-width: 320px) {
		& {
			margin-right: 1rem;
		}
	}
}

#checkboxIdText {
	cursor: pointer;
}
.darkMode .tooltip {
	position: absolute;
	font-size: calc(var(--p_fontZ2) - 0.5rem);
	line-height: 1.3rem;
	color: var(--black);
	background-color: var(--white-dimed);
	padding: 0 0.3rem;
	margin: 0;
	bottom: -3.2rem;
	/* right: -4rem; */
	border-radius: 0.7rem;
	opacity: 0;
	pointer-events: none;
	transition: opacity 0.3s;
}
.darkMode:hover .tooltip {
	opacity: 1;
}
@media (max-width: 1024px) {
	.darkMode .tooltip {
		display: none;
	}
}
#checkboxId {
	display: none;
	height: 0;
	width: 0;
}
.fa-solid.fa-sun,
.fa-solid.fa-moon {
	/* padding: 1.5rem; */
	/* color: var(--gold_frame); */
	font-size: var(--h2_fontZ);
}
#sun {
	display: block;
}
#moon {
	display: none;
}
i#sun.fa-regular.fa-sun,
i#moon.fa-solid.fa-moon {
	margin: 0;
	/* text-decoration: none; */
}
/* dark mood slut */
/* nav items */
.nav-items {
	width: 100%;
	display: flex;
	align-items: center;
	position: relative;
	/* text-align: center; */
	/* justify-content: space-evenly; */
}
.nav-item {
	list-style: none;
	position: relative;
	margin: 2rem auto;
}

.nav-items-background {
	display: flex;
	align-items: center;
	justify-content: flex-end;
	/* padding-left: 2rem; */
	width: 100%;
}

.nav-link {
	font-family: "Raleway", sans-serif;
	font-weight: bold;
	font-size: var(--h4_fontZ);
	text-transform: uppercase;
	letter-spacing: 0.3rem;
	/* color: var(--white-dimed); */

	/* text-shadow: 0.5 0.5rem 1rem hsla(0, 0%, 0%, 0.834); */
}
.nav-link:hover {
	color: var(--gold_frame);
}
/* *************** HAMBURGER MENU ******* */
.hamburger {
	display: none;
	cursor: pointer;
}
.bar {
	display: block;
	width: 25px;
	height: 3px;
	margin: 5px auto;
	-webkit-transition: all 0.3s ease-in-out;
	transition: all 0.3s ease-in-out;
	background-color: var(--white);
}

/* *************** END OF HAMBURGER MENU ******* */

/* dropdown 1 */ /* styrelsen */
.dropdown-0,
.dropdown-1,
.dropdown-2,
.dropdown-3,
.dropdown-4,
.dropdown-5,
.dropdown-6 {
	position: absolute;
	top: var(--top);
	background-color: var(--white);
	/* border: 4px solid var(--blue2); */
	/* border-top: 8px solid var(--blue2); */
	height: auto;
	border-radius: 1rem;
	box-shadow: 1rem 1rem 2rem hsla(0, 0%, 0%, 0.5);
	padding: 3rem 1rem 1rem 1rem;
	opacity: 1;
	visibility: hidden;
	z-index: 90;
	transition: all 400ms ease-in;
	transition-delay: 300ms;
}

/* ******************** ÖPPNA MENYER ******************************* */
/* .dropdown-5 {
	visibility: visible;
} */
/* .dropdown-1,
.dropdown-6 {
	visibility: visible;
} */

/* ******************** ÖPPNA MENYER ******************************* */

.nav-item:hover .dropdown-0,
.nav-item:hover .dropdown-1,
.nav-item:hover .dropdown-2,
.nav-item:hover .dropdown-3,
.nav-item:hover .dropdown-4,
.nav-item:hover .dropdown-5,
.nav-item:hover .dropdown-6 {
	opacity: 1;
	visibility: visible;
}
.dropdown-0-left,
.dropdown-1-left,
.dropdown-2-left,
.dropdown-3-left,
.dropdown-4-left,
.dropdown-5-left,
.dropdown-6-left {
	width: 100%;
	height: auto;
	/* padding-right: 0.5rem; */
	display: flex;
	flex-direction: column;
	justify-content: center;
	/* align-items: center;
  row-gap: 2rem; */
}

.dropdown-0-left h3,
.dropdown-1-left h3,
.dropdown-2-left h3,
.dropdown-3-left h3,
.dropdown-4-left h3,
.dropdown-5-left h3,
.dropdown-6-left h3 {
	font-family: "Montserrat", sans-serif;
	font-weight: 700;
	letter-spacing: 0.1rem;
	font-size: 2rem;
	border: 2px solid var(--blue2);
	padding: 1.5rem;
	border-radius: 0.8rem;
	margin-bottom: 3rem;
	/* font-size: var(--h2_fontZ); */
}
.dropdown-0-left h3:first-child,
.dropdown-1-left h3:first-child,
.dropdown-2-left h3:first-child,
.dropdown-3-left h3:first-child,
.dropdown-4-left h3:first-child,
.dropdown-5-left h3:first-child,
.dropdown-6-left h3:first-child {
	text-align: center;
}

/* ******************* TEST ***************** */

.features-list-item {
	/* gör så att hela knappen är klickbar */
	display: flex;
	align-items: center;
	position: relative;
	padding: 1rem;
	border: 1px solid #ccc;
	border-radius: 0.8rem;
	/* margin: 1rem; */
	/* background-color: var(--features_list); */
	overflow: hidden;
	width: 100%;
	height: auto;
}

.features-list-item .full-link {
	/* gör så att hela knappen är klickbar */
	position: absolute;
	top: 0;
	left: 0;
	right: 0;
	bottom: 0;
	z-index: 10;
	text-decoration: none;
}

.features-list-item i,
.features-list-item span {
	position: relative;
	z-index: 2;
	color: #333;
}

.features-list-item:hover {
	background-color: #eee;
	cursor: pointer;
}

/* ******************* end TEST ***************** */

/* hållaren för dropdown */
/* .features-list {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: flex-start;
  width: 100%;
  row-gap: 1.2rem;
} */
/* texterna i dropdown */
/* .features-list-item {
  font-family: inherit;
  margin: 0.5rem 0;
  display: flex;
  align-items: center;
  cursor: pointer;
  width: 100%;
  transition: all 0.3s;
} */

/* iconer i menyerna */
.features-list-item i {
	font-size: 2rem;
	width: 5rem;
	text-align: center;
	transition: all 0.3s;
}

/* texten / rubriken */
.features-list-item span {
	font-size: var(--p_fontZ);
	font-family: "Montserrat", sans-serif;
	font-weight: 700;
	letter-spacing: 0.1rem;
	color: var(--grey);
	transition: color 0.1s;
	margin-left: 2rem;
}
/* .features-list-item:hover span,
.features-list-item:hover i {
  color: var(--black);
  font-weight: 900;
  display: inline-block;
  transform: scale(0.9);
} */

/* dropdown-1 SPARAD SOM EXEMPEL */
.dropdown-1 {
	/* left: -11rem; */
	width: 38rem;
}
/* end of dropdown-1 */
/* dropdown-1 SPARAD SOM EXEMPEL */

.dropdown-0,
.dropdown-1,
.dropdown-2,
.dropdown-3,
.dropdown-4,
.dropdown-5,
.dropdown-6 {
	left: 50%;
	transform: translate(-50%, 0);
	width: 38rem;
	background-color: var(--white);
}
.dropdown-6 {
	left: -2rem;
	width: 38rem;
}

/* FOOTER */
/* END OF FOOTER */

/* end of nav items */
/* end of Navigation */

/* header */
/* .header {
  width: 100%;
  height: 150vh;
  position: relative;
} */
.image-img {
	display: flex;
	justify-content: center;
	align-items: center;
}
div.image-img img {
	width: 100rem;
	height: auto;
	margin-top: 25rem;
	filter: blur(10px);
	opacity: 0.1;
}
div.image-img-2 img {
	width: 10rem;
	height: auto;
	position: absolute;
	top: 32rem;
	right: 10rem;
}

/* end of header */

/* aktive menu */
.active-menu {
	color: var(--light_green);
	/* color: var(--white); */
	/* padding: 0.5rem; */
	/* border-radius: 1rem; */
}

/* end of aktive menu */
.footer-all li a.active-menu {
	color: var(--light_green);
}

/* pdf-texten på varje section */
.pdf-text {
	width: 100%;
	display: flex;
	flex-direction: column;
	font-size: var(--p_fontZ);
	font-style: italic;
	justify-content: center;
	align-items: center;
}

div.pdf-text a span i.fa-solid {
	padding: 1rem 0 1rem 0;
	margin: 0;
	width: 3rem;
}
.columns2 {
	columns: 2 auto;
}
.columns3 {
	columns: 3 auto;
}
.atagbutton {
	background-color: var(--blue2);
	color: var(--white);
	text-decoration: none;
	padding: 1rem 2rem;
	font-size: var(--p_fontZ1);
	border-radius: 0.5rem;
}
.atagbutton:hover {
	background-color: var(--dark_green);
}
/* end of pdf-texten på varje section */

/* om man vill ha en bild i aktuelltTexter.html
  start aktuelltTexter.html */

.wrapper_bild_i_aktuellt {
	display: flex;
	height: auto;
	width: 100%;
}
.wrapper2_bild_i_aktuellt {
	display: flex;
	flex-direction: column;
	height: auto;
	justify-content: space-evenly;
}

.wrapper_bild_i_aktuellt img {
	height: 100px;
	margin: 10px 20px;
	width: 80px;
	box-shadow: 3px 3px 7px var(--grey);
	transform: rotateZ(7deg);
	transition: 0.9s ease-out;
}
.wrapper_bild_i_aktuellt img:hover {
	scale: 105%;
	box-shadow: 4px 4px 10px var(--grey);
	transform: rotateZ(12deg);
}
/* .fotNot {
	display: flex;
	justify-content: flex-end;
	font-size: 0.9rem;
	font-weight: bold;
	padding-right: 2rem;
} */
/* fotnot för varje section */
.fotNot {
	display: flex;
	justify-content: flex-end;
	font-weight: bold;
	padding-right: 2rem;
	font-size: var(--p_fontZ1);
	transition: all 1s ease;
}
.fotNot:hover {
	color: var(--dark_green);
	font-size: var(--p_fontZ);
}

/* end of fotnot för varje section */
.fotNot_bild_i_aktuellt {
	display: flex;
	justify-content: flex-start;
	font-size: 0.9rem;
	font-weight: bold;
	padding-right: 2rem;
}

/* ********** SLUT bild i aktuellt ********** */

/* ***********  @MEDIA **************** */

/* nth-child Tyrsö */
@media (max-width: 320px) {
	.logo-flex span:nth-child(2) {
		display: none;
	}
}
/* ****** 320 - 425 ************* */
@media (320px <= width <= 425px) {
	.navbar {
		padding: 0 0.5rem 0 1rem;
		height: 5rem;
	}
	/* .logo-flex span:nth-child(1) {
		padding: 0 0.5rem 0 1rem;
	} */
	.logo-flex span:nth-child(1) {
		font-size: var(--h1_fontZ);
		line-height: 2rem;
	}
	.logo span:nth-child(2) {
		transform: none;
		display: none;
	}
	.dropdown-1 {
		max-width: 30rem;
		left: 50%;
		transform: translate(-50%, 0);
	}
	.hamburger {
		padding: 0 1rem 0 2rem;
	}
	.index-img img {
		top: 5rem;
		height: 5rem;
	}
	.wrapper_bild_i_aktuellt img:hover {
		scale: none;
		box-shadow: 3px 3px 7px var(--grey);
		transform: rotateZ(7deg);
		cursor: none;
	}
}
/*@media (320px <= width <= 768px)*/
@media (320px <= width <= 768px) {
	.navbar {
		padding: 0 1rem 0 1rem;
	}
	.hamburger {
		padding-right: 1rem;
	}
	.nav-item {
		margin: 0.5rem 0;
	}
}

/* ******** 320 - 1024 ************ */

@media (320px <= width <= 1024px) {
	.dropdown-0,
	.dropdown-1,
	.dropdown-2,
	.dropdown-3,
	.dropdown-4,
	.dropdown-5,
	.dropdown-6 {
		/* width: 38rem; */
		width: 70vw;
		left: 50%;
		transform: translate(-50%, 0);
		/* left: -13rem; */
	}
	/* end of dropdown 6*/
}

/* ****************** 1024 ************** */
@media (max-width: 1024px) {
	/* nav.navbar {
		padding: 0 1rem 0 1rem;
		width: 100%;
	} */
	.hamburger {
		display: block;
		padding-right: 1rem;
	}
	.hamburger.active .bar:nth-child(2) {
		opacity: 0;
	}
	.hamburger.active .bar:nth-child(1) {
		transform: translateY(8px) rotate(45deg);
	}
	.hamburger.active .bar:nth-child(3) {
		transform: translateY(-8px) rotate(-45deg);
	}
	.logo-flex span:nth-child(1) {
		font-size: var(--h1_fontZ);
	}
	.dropdown-6 {
		left: 4rem;
	}
	/* From https://css.glass */
	.nav-items-background {
		position: absolute;
		display: block;
		left: -100%;
		top: 100px;
		width: 100%;
		height: 200vh;
		transition: 0.5s;
		background: rgba(86, 86, 86, 0.5);
		backdrop-filter: blur(3px);
		/* background-color: red; */
	}
	.nav-items.active {
		position: relative;
		left: -100%;
		top: 50px;
		width: 100%;
		display: flex;
		flex-direction: column;
		/* max-height: calc(100vh - 100px); */
		row-gap: 3rem;
		padding-bottom: 10rem;
		overflow-y: scroll;
		height: 67vh;
		/* background-color: wheat; */
	}

	.nav-items.active,
	.nav-items-background.active {
		left: 0;
		top: 5.5rem;
	}
	.nav-items {
		left: -100%;
	}
}
/* ******************  END 1024 ************** */
/* *****************  1025 px  *************** */
@media (min-width: 1025px) {
	.logo-flex {
		display: none;
	}
	.logo-flex-2 span:nth-child(1),
	.logo-flex-2 span:nth-child(2) {
		color: var(--white);
		font-family: "Montserrat", sans-serif;
		font-weight: 500;
		font-style: italic;
		letter-spacing: 0.1rem;
		font-size: var(--h1_fontZ);
		display: inline-block;
		line-height: 2.5rem;
		/* padding: 0; */
		/* background-color: blue; */
	}
	.logo-flex-2 {
		display: flex;
		flex-direction: column;
		justify-content: center;

		/* background-color: coral; */
		height: 100px;
		max-width: fit-content;
		width: 250px;
		padding: 0 2rem;
	}
	span.three {
		display: flex;
		justify-content: flex-end;
		color: var(--white);
		padding-right: 0.3rem;
		height: 20px;
		align-items: center;
		/* padding-top: 0.5rem; */
	}
}
/* ***************** END 1025 px  *************** */

/* *****************  1049px ******************** */
@media (max-width: 1049px) {
	.logo-flex-2 {
		display: none;
	}
}
/* ***************** END 1049px ******************** */

/* ********** 1901px - 2600px ********************** */
@media (1901px <= width <= 2600px) {
	.logo-flex-2 span:nth-child(1),
	.logo-flex-2 span:nth-child(2) {
		padding: 0.4rem 0;
		/* background-color: red; */
	}
}
/* **********END 1901px - 2600px ********************** */

/* ********** 1920px - 2600px ********************** */

@media (1920px <= width <= 2600px) {
	div.logo-flex span:nth-child(1) {
		padding-bottom: 0.5rem;
		line-height: 2.7rem;
		/* background-color: red; */
	}

	.logo-flex span:nth-child(2) {
		padding-right: 2.6rem;
	}
}
/* ********** END 1901px - 2600px ********************** */

/* COLUMS */
/* @media (max-width: 768px) {
	.columns2 {
		columns: 1;
	}
} */
/*
@media (min-width: 1440px) {
	.columns2 {
		columns: 2 auto;
		column-rule: 0.1rem solid var(--blue2);
		column-gap: 2rem;
	}
} */
/* @media (min-width: 1900px) {
	.columns2 {
		columns: 3 auto;
		column-rule: 0.1rem solid var(--blue2);
		column-gap: 2rem;
	}
}
@media (min-width: 2600px) {
	.columns2 {
		columns: 4 auto;
		column-rule: 0.1rem solid var(--blue2);
		column-gap: 2rem;
	}
} */

/* @media (min-width: 1440px) {
	p {
		columns: 2 auto;
		column-rule: 0.1rem solid var(--blue2);
		column-gap: 3rem;
		margin-bottom: 1rem;
	}
} */
/* @media (min-width: 1900px) {
	p {
		columns: 3 auto;
		column-rule: 0.1rem solid var(--blue2);
		column-gap: 3rem;
		margin-bottom: 1rem;
	}
} */
/* @media (min-width: 2600px) {
	p {
		columns: 4 auto;
		column-rule: 0.1rem solid var(--blue2);
		column-gap: 3cap;
		margin-bottom: 1rem;
	}
} */

/*
@media (min-width: 1900px) {
	.columnsX {
		columns: 3 auto;
		column-rule: 0.1rem solid var(--blue2);
		column-gap: 2rem;
	}
}
@media (min-width: 2600px) {
	.columnsX {
		columns: 4 auto;
		column-rule: 0.1rem solid var(--blue2);
		column-gap: 2rem;
	}
} */
/* END OF COLUMS */

/* *************** KLOCKA & FOOTER *************** */

/* *************** END KLOCKA & FOOTER *************** */
